'''
实验名称：HC-SR04超声波测距
实验平台：核桃派1B
'''

import time
import board
import adafruit_hcsr04

#构建超声波对象
sonar = adafruit_hcsr04.HCSR04(trigger_pin=board.PC9, echo_pin=board.PC11)

while True:
    
    try:
        print('%.2f'%(sonar.distance) + ' cm') #打印距离信息，单位cm，保留2位小数。
    except RuntimeError:
        print("Retrying!")
        
    time.sleep(0.5)

